/* Content Switcher Toggle Styling */
.view-toggle-switch-wrapper {
    justify-self: center;
}

.toggle.ios,
.toggle-on.ios,
.toggle-off.ios {
    border-radius: 1rem;
}

.toggle.ios .toggle-handle {
    border-radius: 1rem;
}

.ios .toggle-group {
    transition: left 1.5s;
    -webkit-transition: left 1.5s;
}

/* New Toggle Switch */
.switch-button {
    background: rgba(160, 204, 38, 1);
    border-radius: 30px;
    overflow: hidden;
    width: 360px;
    text-align: center;
    font-size: 15px;
    letter-spacing: 1px;
    color: #126c2d;
    position: relative;
    padding-right: 180px;
    position: relative;
    box-shadow: 3px 3px 3px #888;
}

.switch-button:before {
    content: "Mowers";
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    width: 180px;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 3;
    pointer-events: none;
}

.switch-button-checkbox {
    cursor: pointer;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    z-index: 2;
}

.switch-button-checkbox:checked+.switch-button-label:before {
    transform: translateX(180px);
    transition: transform 300ms linear;
}

.switch-button-checkbox+.switch-button-label {
    position: relative;
    padding: 15px 1.2rem;
    display: block;
    user-select: none;
    pointer-events: none;
    margin-bottom: 0rem;
}

.switch-button-checkbox+.switch-button-label:before {
    content: "";
    background: #fff;
    height: 100%;
    width: 100%;
    position: absolute;
    left: 0;
    top: 0;
    border-radius: 30px;
    transform: translateX(0);
    transition: transform 300ms;
    box-shadow: 2px 2px 9px #888;
}

.switch-button-checkbox+.switch-button-label .switch-button-label-span {
    position: relative;
}